@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap");

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
  color: #a7c5bd;
}

body {
  background-color: #524656;
}

button {
  background-color: #fdfdfd;
  color: #102f5e;
  border: 2px solid #102f5e;
  padding: 0.3rem 0.6rem;
  font-size: 1rem;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: 0.4s;
  border-radius: 7px;
}

button:hover {
  background-color: #a7c5bd;
}

button i {
  pointer-events: none;
  color: black;
  font-weight: bold;
}

input,
select {
  padding: 0.25rem 0.5rem;
  border-radius: 7px;
  border: 2px solid #ccc;
  color: black;
}

option {
  color: black;
}

.hide {
  display: none;
}

.todo-container {
  max-width: 650px;
  margin: 3rem auto 0;
  background-color: #fdfdfd;
  padding: 1.5rem;
  border-radius: 15px;
}

#todo-input {
  min-width: 200px;
}

#form-header-section {
  display: flex;
  border-top: 2px solid #ccc;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.todo-container header {
  text-align: center;
  padding: 0 1rem 1rem;
}

#todo-form,
#edit-form {
  padding: 1rem;
  border-bottom: 2px solid #ccc;
}

#todo-form p,
#edit-form p {
  margin-bottom: 0.5rem;
  font-weight: bold;
}

.form-control {
  display: flex;
}

.form-control input {
  margin-right: 0.3rem;
}

#cancel-edit-btn {
  margin-top: 1rem;
  color: #444;
}

#cancel-edit-btn:hover {
  color: white;
}

#toolbar {
  padding: 1rem;
  border-bottom: 2px solid #ccc;
  display: flex;
}

#toolbar h4 {
  margin-bottom: 0.5rem;
}

#search {
  border-left: 2px solid #ddd;
  padding-right: 1rem;
  margin-right: 1rem;
  padding-left: 1rem;
  margin-left: 1rem;
  width: 65%;
  display: flex;
  flex-direction: column;
}

#search form {
  display: flex;
}

#search input {
  width: 100%;
  margin-right: 0.3rem;
}

#filter {
  width: 35%;
  display: flex;
  flex-direction: column;
}

#filter select {
  flex: 1;
}

.todo {
  display: flex;
  justify-content: space-around;
  align-items: center;
  padding: 1rem 1rem;
  margin-top: 1rem;
  border: 2px solid #ddd;
  transition: 0.3s;
  border-radius: 10px;
}

.todo h3 {
  flex: 1;
  font-size: 0.9rem;
}

.todo button {
  margin-left: 0.4rem;
}

.done {
  background: #395169;
}

.doing {
  background-color: #6fa2c4;
}

.done h3 {
  color: #fff;
  text-decoration: line-through;
  font-style: italic;
}

.finish-todo:hover {
  background-color: #a1dbb2;
}

.finish-todo:hover > i {
  color: #102f5e;
}

.edit-todo:hover {
  background-color: #fbea80;
}

.edit-todo:hover > i {
  color: #102f5e;
}

.remove-todo:hover {
  background-color: #f84339;
}

.remove-todo:hover > i {
  color: #102f5e;
}
